#!/bin/bash -e
cd `dirname $0`

TESTNAME=mediawiki_backup_restore
APP=mediawiki
source ./setup

source ./mediawiki-install
cd "$TESTDIR"
wizard backup

# destroy some files
FROB="includes/Setup.php"
mv "$FROB" "$FROB.bak"
echo "BOOM" > "$FROB"

# destroy the database
mysql $MYSQL_ARGS -e "DROP DATABASE \``wizard database .`\`;"
mysql $MYSQL_ARGS -e "CREATE DATABASE \``wizard database .`\`;"

BACKUP=`wizard restore | head -n1`
wizard restore "$BACKUP"

cmp "$FROB" "$FROB.bak"
curl -s -L "http://$WIZARD_WEB_HOST$WIZARD_WEB_PATH/index.php" | grep "<title>"

